## zurukko
# %%global _unpackaged_files_terminate_build 0

%global momorel 5

Summary: Cxplorer is a GTK+2 based file manager.
Name: cxplorer
Version: 2.1.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/File
URL: http://cxplorer.sourceforge.jp/
Source0: http://osdn.dl.sourceforge.jp/cxplorer/17098/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libcxp >= 0.5.6, file
BuildRequires: libcxp-devel >= 0.5.6, gtk+-devel, desktop-file-utils

%description
Cxplorer is a GTK+2 based file manager. This version is development version.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/cxplorer.desktop

# remove unwanting files
rm -rf %{buildroot}%{_prefix}/doc/cxplorer

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/cxplorer.schemas > /dev/null

%preun
if [ $1 = 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/cxplorer.schemas > /dev/null
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO ABOUT-NLS
%{_bindir}/cxplorer
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/cxplorer.desktop
%{_datadir}/cxplorer
%{_datadir}/locale/*/LC_MESSAGES/cxplorer.mo
%{_sysconfdir}/gconf/schemas/cxplorer.schemas

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.0-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.0-4m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-3m)
- %%NoSource -> NoSource

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.0-2m)
- remove category Application

* Sat Nov 26 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (2.1.0-1m)
- update to 2.1.0
- delete patch

* Thu Jul 14 2005 Toru Hoshina <t@momonga-linux.org>
- (1.9.20050519-3m)
- enable x86_64.

* Mon Jul  4 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.20050519-2m)
- add Utility to Categories of desktop file
- add %%{_datadir}/locale/*/LC_MESSAGES/cxplorer.mo
- BuildRequires: desktop-file-utils

* Sun Jul 03 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- 1.9.20050519-1m
- update to 1.9.20050519

* Sun May 15 2005 Koichi Narita <pulsar@sea.plala.or.jp>
- 1.9.20050512-1m
- import to Momonga Linux 2 (Asuna)
